---
title: Generate Response XML
description: This API is for generating esign link based on xml.
---

This API is for generating esign link based on xml. If the request has valid details, we will get a status code “200” and message “success”, txn id and unique id in response.

## POST

```
https://kraken.airpay.co.in/airpay/ms/esign/api/generate-response-xml
```

## Header

| Field | Type | Description |
| --- | --- | --- |
| affiliate | Text | Will be provided by Airpay (required) |
| checksum | Text | $string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>); (required) |
| processor-key | Text | Will be provided by airpay ( required) |

## Parameter

| Field | Type | Description |
| --- | --- | --- |
| xml_data | Text | XML data(required) |
## Request-Example:

```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/esign/api/generate-response-xml' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--form 'xml_data="<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" standalone=\\\"no\\\"?><Esign AuthMode=\"1\" aspId=\"ABCAPSPLPROD001071\" ekycId=\"\" ekycIdType=\"A\" responseSigType=\"pkcs7\" responseUrl=\"https://esign.airpay.co.in/api/SignResponse\" sc=\"Y\" ts=\"2022-07-28T10:37:11\" txn=\"OCN13SCZJ3\" ver=\"2.1\">...</Esign>"'
```

## Success 200

| Field | Type | Description |
| --- | --- | --- |
| status | Numeric | Status code (length 3) |
| message | Text | Message<br>Success - 200<br>Failed - 400 |
| txn_id | Numeric | Transaction ID |
| uniqueid | Text | Unique ID |
## Success-Response:

```
HTTP/1.1 200 OK
{
     "status": 200,
      "message": "success",
      "txn_id": 1078,
      "uniqueid":"91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps"
}
```
## Error-Response:

```
HTTP/1.1 400 Failed
 {
     "status": 400,
     "message": "Transaction not found"
 }
```